HomeХобби и стильRelated VideosMore From: Clever Techie

How to install Ruby on Rails on Windows

267 ratings | 38713 views
Learn how to install Ruby on Rails on Windows 7. I go over what Ruby and Rails is and how it all relates to Ruby Gems so you can understand the whole system better while making it work on Windows 7. ````````````````````````````````````````````````````````````````````````````````````````````` Hey guys, I'm now using Patreon to share improved and updated video lesson material. For a small fee you can access all the downloadable files from this lesson (source code, icons & graphics, cheat sheets) and everything else included in the video from the Patreon page. Additionally, you will get access to ALL Clever Techie videos in HD format with no ads. Thank you so much for supporting Clever Techie :) Download this video's files here: https://www.patreon.com/posts/20811088 ( You also get access to ALL source code and any downloadable content of ALL Clever Techie videos, as well as access to ALL videos in HD 1080p quality format with all video ads removed! ) ****************IMPORTANT UPDATE**************: DO NOT Cancel the ruby bundle install by pressing CTRL+C, let the installation complete on it's own, it may take up to 10 minutes, thanks to Brian Crane and Вячеслав Трембач for pointing this out! `````````````````````````````````````````````````````````````````````````````````````````````` Please support Clever Techie clevertechie.com is hosted with SiteGround and recommended by Clever Techie as #1 web hosting company: https://www.siteground.com/go/clevertechie ( 60% off ) #1 Hosting Company https://www.bluehost.com/track/clevertechie1 ( 63% off ) #2 Hosting Company https://www.hostgator.com/web-hosting #3 Hosting Company HostGator ( 60% off ) coupon: CLEVERTECHIE If you guys decide to sign up with SiteGround or any of the 3 hosts, I would really appreciate if you supported Clever Techie and signed up with my affiliate links that you see here. You get a massive 60% discount, there are no extra costs for you, and you will motivate me to create more videos as well. I could also end up working on Clever Techie full time with enough of your support, if that happens, then I'll be making about 3 new videos every single week! Clever Techie's number one pick for web hosting is SiteGround's (GrowBig) plan for 12 months. The cost is $71.40 + $15.95 domain registration (with 60% off clever techie affiliate link discount). I really appreciate your support everyone, every subscription counts as motivational fuel for creating more videos :) `````````````````````````````````````````````````````````````````````````````````````````````` ( Website ) https://clevertechie.com - PHP, JavaScript, Wordpress, CSS, and HTML tutorials in video and text format with cool looking graphics and diagrams. ( YouTube Channel ) https://www.youtube.com/c/CleverTechieTube ( Google Plus ) https://goo.gl/J71p6f - clever techie video tutorials. ( Facebook ) https://www.facebook.com/CleverTechie/ ( Twitter ) https://twitter.com/theclevertechie ``````````````````````````````````````````````````````````````````````````````````````````````
Html code for embedding videos on your blog
Text Comments (90)
Mauro Roque (10 months ago)
The solution to the problem with "config.yml" is not in "config.yml", the solution is in the DevKit file called "dk.rb", you have to edit that file with notepad++ or another editor and add the following line where it says REG_KEYS. 'Software\Wow6432Node\RubyInstaller\MRI', being as follows. REG_KEYS = [ 'Software\RubyInstaller\MRI', 'Software\RubyInstaller\Rubinius', 'Software\Wow6432Node\RubyInstaller\MRI', ] The original file does not have a comma in the third line but it did not work for me and I put a comma and that worked for me, you have to try both ways. That's all folks. source of information. https://stackoverflow.com/questions/16523607/cant-get-ruby-devkit-configuration-file-autogenerated-properly
sary elmelegy (11 months ago)
thanks !
morlai kamara (1 year ago)
the vide is really cool man
morlai kamara (1 year ago)
pls i have a problem with ruby on rails i have donwload and install it over 50 but always show path not found if i use rails -v
Akhil Patil (1 year ago)
thanks man ! only this tutorial helped !
michael clark (1 year ago)
Most comprehensive tutorial I ve come across, Thank you for the EDUCATION
marc dellario (1 year ago)
hey everything was working until i got to bundle install it is not recognizing it. What should I do?
Admire You (2 years ago)
many thanks u r the best
Charlene sison (2 years ago)
Clever Techie I got some problem on installing ruby
Gloria bebz (2 years ago)
Helllo everyone pls how do you install GIT bash on Ruby on rails???
Gloria bebz (2 years ago)
hi clever...i already have a ruby version thats not workin installed on my system...please how do i UNINSTALL IT..so i can follow this tutorial? any help will be appreciated cos im almost givin up on the whole installation process on windows
wilson xu (2 years ago)
you are a life saver!
Thenks man! It woth wery helpful for me!
Clever Techie (2 years ago)
PHP introduction video is out! Create dynamic web sites by learning PHP! https://www.youtube.com/watch?v=95RU58kZlbc
x_ stormrider (2 years ago)
if you are getting an error such as 'Could not find a valid gem 'rails' (>= 0), here is why:' in the command prompt type gem sources -a http://rubygems.org - press y - then type gem install rails. It should fix your problem.
Sujan Joshi (2 years ago)
When i do : gem install rails unable to download data from https://rubygems.org/ - SSL_connect returned=1 errno=0 state=SSLv3 read server certificate B: certificate verify failed (https://api.rubygems.org/specs.4.8.gz) I get this error, can you help me out please.
Dr. Sanjeev B Sahay (2 years ago)
Yea, similar problem in my case as well. Any help?
Philip Kiwanuka (2 years ago)
when i try running hi.rb it instead opens the text editor and then returns an error couldn't start dumper
Rita Roy (2 years ago)
I got another page 'with Yay! You’re on Rails!
Rita Roy (2 years ago)
Don't force stop at 14:11, let the process continue.
Duta Ksp (2 years ago)
Hi, I spent a lot of days to install ruby on rails on my Windows 10. All failed. But now with this tutorial, I made the installation. And now I have Rails 5 installed with Ruby 2.2.5 9 (DevKit - mingw64-4.7.2). NOTE: The problems were about the version of Rubys, because I tried the same way to install them. Thanks again. Nyoman, Bali, Indonesia
Clever Techie (2 years ago)
Awesome!
boompocket (2 years ago)
thanks and done. Its so good tutorial
Sudhagar Sachin (2 years ago)
Also If you want to know how to manage multiple ruby versions, https://medium.com/@Sudhagar/rbenv-how-it-works-e5a0e4fa6e76#.gxv1uahvm
Sam Harms (2 years ago)
You may want to mention that this command always installs the lastest version (which may not be compatible resulting in an activesupport version 2.2.2 error). To install rails with an older version of ruby you must specify an older version of rails such as 4.2.4. So at 10:01 you would type something like: gem install rails -v 4.2.4
Lawrence Randall (2 years ago)
if i ever meet you in real life for some weird reason. Remind me i have to get you a drink! you saved me
Lucas Fisher (2 years ago)
Much thanks for the workaround comment!
wipedowt (2 years ago)
on error: "cannot load such file -- sqlite3/sqlite3_native (LoadError)" after trying to start server. >> http://stackoverflow.com/questions/17643897/cannot-load-such-file-sqlite3-sqlite3-native-loaderror-on-ruby-on-rails >> https://postimg.org/image/68zba82uv/
prince nihith (2 years ago)
it shows me this error there was an error while trying to load the gem 'uglifier' what should i do ???
flaiss21 (2 years ago)
thank you, as I can get the image of gems... it is very good.
J.C. Onathzky (2 years ago)
Thank you very much for this tutorial!.... I strictly followed your instructions, so it was so frustrating getting this errors when I yped, "rails server" .. please help ... thanks in advance.. Error shown (image): https://drive.google.com/file/d/0Bw5TNz0oBJ1pRGpJV2ZkaWpSZTg/view?usp=sharing
srikanth sri (2 years ago)
thank you so much for the video.can you provide me the next videos
Daniel Simões (2 years ago)
nice :)
M D C (2 years ago)
type "ruby hi.rb" on cmd if you're using versions 2.3.x
ImAfaq YurakZyy (2 years ago)
ruby hi.rb
rajat shukla (2 years ago)
I followed the same steps as you mentioned in video but I am getting following error when I executed "gem install rails" command c:\Users\RShukla>gem install rails ERROR: Error installing rails: The 'json' native gem requires installed build tools. Please update your PATH to include build tools or download the DevKit from 'http://rubyinstaller.org/downloads' and follow the instructions at 'http://github.com/oneclick/rubyinstaller/wiki/Development-Kit'
Auron Maynard (2 years ago)
When I type "gem install rails" am getting below error.. ERROR:: Error installing nokogiri nokogiri requires Ruby version <2.3,>= 1.9.2 but if i check my ruby version is 2.3.0p0 I've tried to install nokogiri singularment but i don't know why it doesn't work. Am getting the same error. Please help me, sorry for my terrible english.
jun dolor (2 years ago)
Hi, I've been trying to install Rails, but keep getting the error "ERROR: While executing gem ... (Errno::EMSGSIZE)". I hope somebody can help me on this
BFz! (2 years ago)
I don't speak english, but you save me. Thanks men
for those having problem installing the bundle try this: rails new <appname> gem uninstall bundler gem install bundler -v 1.9 cd <appname> bundle install
Vishal Chowdhary (2 years ago)
checksum of /versions does not match the checksum provided by server ! something is wrong
Kris Donovski (2 years ago)
Anyone could help me out? When i try to create a new app (like at 14:00-14:45) at the end right after : "create vendor/assets/stylesheets/.keep run bundle install" i get this : "Checksum of /versions does not match the checksum provided by server! Something is wrong" the same message pops up when i try to install bundle afterwards, any ideas how to solve this?
Zhanpeng Ong (2 years ago)
This is great man! Thanks a million!
Crypto Chan (2 years ago)
Your the best tutorials that makes rails works. But for people starting out uninstall all the previous versions.
chinmay kamat (2 years ago)
I have a tip to speed up "gem install rails". Just use "gem install rails --no-ri --no-rdoc" instead. It keeps documentation files aside, and just installs the gems.
Clever Techie (2 years ago)
+chinmay kamat Thanks!
locallincon (2 years ago)
try this command instead to avoid documentation download and long wait time. Thanks for the video :) gem install rails --no-document
Markus James (2 years ago)
I get a checksum of /versions does not match the checksum provided by server. this message displayed after I used the command rails new "appname" any help
Markus James (2 years ago)
+Jaysyn Landyn do bundle uninstall gem bundle install -v 1.9 rails new "appname" bundle install see if that solution works
As It Happens 360 Llc (2 years ago)
+Markus James I got the same thing. Can't get pass it.
Steven (3 years ago)
Man i fucking love you i have been trying to get this to work for weeks
naveen kumar (3 years ago)
Error while bundle install...time...Please solve this problem
Anthony Pantalo (3 years ago)
+naveen kumar Provide some additional context around this issue you are experiencing and we'll see how we can help.
Kent Vanhoeven (3 years ago)
thk u man
Michael Murock (3 years ago)
Awesome tutorial!!!!
Clever Techie (3 years ago)
+Michael Murock Thanks bro
Trell CEO (3 years ago)
Can you make video on installing ruby for windows 10?
Clever Techie (3 years ago)
+Jay Brown Have you tried installing it on windows 10 using exact steps as in the video? I think it should work on win 10.
Alex P (3 years ago)
The best tutorial for installing of Rails!
Clever Techie (3 years ago)
+Александр Пурхало Спасибо братан!
Art N (3 years ago)
Thanks bro awesome video easiest 14 minute Ruby rails install on the net for windows!
Clever Techie (3 years ago)
+art nuriyev Appreciate it
Jon Watson (3 years ago)
Never mind i figured it out thanks bro awesome video
Jon Watson (3 years ago)
in the command promote im gettinng an error saying ruby is not recognized
Brackley Cassinga (3 years ago)
Works like a charm...Thank u so much bro
Sudhakar Vysetti (3 years ago)
When I type "gem install rails" am getting below error.. ERROR: Could not find a valid gem 'rails' (>= 0), here is why: Unable to download data from https://rubygems.org/ - no such name (https://rubygems.org/latest_specs.4.8.gz) after googling for a while, even I changed to non-SSL, but no luck. anything specific I have to do here?
Rohail Khan (3 years ago)
+Clever Techie you made my day.I wasted the whole day trying to find out why I couldn't access to the webserver...lynda video...stackoverflow...youtube...soo many places I went to solve my problem....no success...at last..Alhamdulillah....ur video solved all my problem..thank you soo much...you are really clever Clever Techie
thank you man!
Whiz (3 years ago)
what a beast!
beastydude123 (3 years ago)
Thanks, You're the man!
Brian Crane (3 years ago)
To all: DO NOT stop the bundle install at 14:48. It seems to 'stick' here but that's because it's compiling a dog-pile of code be patient and Rails will install.
Edgar Retana (3 years ago)
Thank so much!!!
Water Melon (3 years ago)
THANK U SO MUCH, U DONT UNDERSTAND JUST HOW HELPFUL THIS WAS! U R THE MAN!
Clever Techie (3 years ago)
+Water Melon Thank you, I really appreciate your comment :)
morz (3 years ago)
You sir, you are the fucking man.
Aeschylus Jones (3 years ago)
When I type ruby dk.rb init I get an error saying "ruby" is not recognized as an internal or external command
Heriberto Nieves (3 years ago)
+Aeschylus Jones this is a month old but just in case someone else have the same problem, when installing you have to make sure you selected the add path check box and you should be fine, if after installation you changed the folder name tu make it shorter the terminal would not work, its faster just to uninstall and reinstall and when you select the path for the installation folder just rename it for whatever you like, hope this help!
Brian Crane (3 years ago)
+Clever Techie You need to put ruby in your PATH. The system doesn't know what to do with a file whose extension is .rb Go to your ruby/bin file right click in the path window that will turn it to text then right click and choose 'copy as text' then add that to your system PATH variable Just search for on the interwebs for 'add program to PATH' and you'll find it
Clever Techie (3 years ago)
+Aeschylus Jones Make sure you're in the devkit directory
mehak 123 (3 years ago)
so good
Nour Nour (3 years ago)
OMG OMG OMG you are a santa <3
i really appreciate your work i'm from india thank you clever..
TreeHugger Joe (3 years ago)
thanks for the tutorial you are Daaaaa Man !
Al Breaker (3 years ago)
Mind helping me it keeps giving me an error whenever i try to bundle install. It keeps telling me to ley json 1.8.0 to go through an i dont know what it mean's.
Alain de Pauw (3 years ago)
great man, was strungling with another vid, but this made my day, ty.
Victor Oliveira (3 years ago)
thank you, great explanation
Anudeep reddy (3 years ago)
Great Tutorial clever Techie ,Works like a Charm ...Thank u !!!
Clever Techie (3 years ago)
+Anudeep reddy You're welcome :)
Skyisthelimit504 (3 years ago)
great video man, best one out there
Clever Techie (3 years ago)
+Skyisthelimit504 Thanks so much!

Would you like to comment?

Join YouTube for a free account, or sign in if you are already a member.